<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!--namespace 命名空间-->
<mapper namespace="com.sf.mapper.StudentInfoMapper">

    <sql id="selectStudentInfo">
        /*抽取SQL语句，实现SQL复用*/
        SELECT student_no,student_name,gender,school,major FROM student_info
    </sql>

    <select id="selectByIds" resultType="com.sf.entity.StudentInfo">
        /*引入需要使用的SQL*/
        <include refid="selectStudentInfo"/>

        <where>
            <foreach collection="list" open="id IN(" close=")" item="id" separator=",">
                #{id}
            </foreach>
        </where>
    </select>
</mapper>